scala

# languageFeature

#### object languageFeature

Source
  languageFeature.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. languageFeature
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### sealed trait dynamics extends AnyRef

   Annotations
     @languageFeature( feature = "extension of type scala.Dynamic" , enableRequired = true )

2. #### sealed trait existentials extends AnyRef

   Annotations
     @languageFeature( feature = ... , enableRequired = false )

3. #### sealed trait higherKinds extends AnyRef

   Annotations
     @languageFeature( feature = "higher-kinded type" , enableRequired = false )

4. #### sealed trait implicitConversions extends AnyRef

   Annotations
     @languageFeature( feature = "implicit conversion #" , enableRequired = false )

5. #### sealed trait postfixOps extends AnyRef

   Annotations
     @languageFeature( feature = "postfix operator #" , enableRequired = false )

6. #### sealed trait reflectiveCalls extends AnyRef

   Annotations
     @languageFeature( feature = ... , enableRequired = false )

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### object dynamics extends dynamics

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### object existentials extends existentials

10. #### object experimental

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### object higherKinds extends higherKinds

15. #### object implicitConversions extends implicitConversions

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### object postfixOps extends postfixOps

21. #### object reflectiveCalls extends reflectiveCalls

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped